curl --request PUT \
--url https://scx-sbx.api.jtl-software.com/v1/channel/order/cancellation-accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sellerId": "4711",
"orderCancellationRequestId": "82992d3a-b153-4422-b539-f4d1f1b4aecb"
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/order/cancellation-accept"
payload = {
"sellerId": "4711",
"orderCancellationRequestId": "82992d3a-b153-4422-b539-f4d1f1b4aecb"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sellerId: '4711',
orderCancellationRequestId: '82992d3a-b153-4422-b539-f4d1f1b4aecb'
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/order/cancellation-accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Accept Cancellation Request
Accept a cancellation Request for a Order or OrderItem
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
Marketplace confirmation that a previously requested order cancellation has been accepted.
A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
^\w{1,50}$"4711"
A unique identifier for the order cancellation request. This ID should by used by Seller to identify the cancellation response from the Channel.
"82992d3a-b153-4422-b539-f4d1f1b4aecb"
Response
Order Cancellation accepted
Was this page helpful?